new Vue({
  el: '#app',
  data(){
		return {
			infoData: {},
			token:''
		}
  },
  mounted(){
		this.getUserInfo();
	},
	methods: {
		// 获取用户信息
		getUserInfo() {
			var _this = this
			getAjax('/api/buy/getuserinfo','post',{},function(res){
					_this.info = res
					_this.infoData = {
						avatar: res.data.avatar,
						name: res.data.nickname,
						joinTime: res.data.time,
						phone : res.data.phone,
						id : res.data.id,
					}
			})
		},
		cancle(){
			// this.getUserInfo();
			this.$messagebox.confirm('确定要注销当前账户么?').then(action => {
				delCookie('token');
				window.location.href = 'index.html'
			});
		}
	}
})