
new Vue({
	el: "#login",
	data() {
		return {
			isIOS: false,
			name: "",// 平台名称
			baseUrl: "", // 访问域名
			newuser: false, // 是否新用户
			agreed: false, //  
			hasRead: true, // 是否阅读提示
			clickSwich: true, // 是否重复点击按钮
			curbg: 0, // 轮播图
			imgUrls: ['images/yi.jpg','images/er.jpg','images/san.jpg'],
			awardActive: {},
			comboPropCount: "",
			needMoney: "",
			goodsNum: 1,
			totalMoney: 0,
			token: "",
			code:'',
			data: getURL('data') || ''
    };
	},
	mounted() {
		// alert('走了mounted' + this.code)
		var allUrl = window.location.href
		if(allUrl.indexOf('jixiang') > 0) {
			this.name = '吉祥'
		} else if(allUrl.indexOf('xinyue') > 0){
			this.name = '心悦'
		}
		var code = getURL('code')
		// 已经公众号授权后自动登录 拿登录信息
		if (code) {
			this.code = code
			this.login()
		} else {
			// alert('没有code' + this.code)
			this.code = ''
		}
		//扫码进入的 自动登录 拿登录的code
		if (this.data && this.Base64decode(this.data).indexOf('mchid') < 0 && !this.code) {
			// alert('data='+this.data+'code='+this.code)
			this.login()
		}
		// 背景轮播
		var curbg = this.curbg;
		setInterval(
			function() {
					if (curbg == 2) {
							curbg = -1;
					}
					curbg++;
					this.curbg = curbg;
			}.bind(this),
			3000
		);
		this.getCombo();
	},
	methods: {
		//登录
		login() {
			var _this = this
			var time = new Date().getTime()
			if (this.code) {
				getAjax('/api/buy/token4','post',{code: this.code, data: this.data, time: time},function(res){
					console.log(res)
					let userInfo = res.data.user_info
					setCookie('token',userInfo.token)
					setCookie('tag',userInfo.tag)
					console.log(userInfo)
					console.log(_this.Base64decode(_this.data)) //  不同平台分摊支付金额 针对心悦
					if (userInfo.status == -1) {// 老司机支付了，但是未完善信息的用户
						window.location.href = 'fillin.html'
					} else if (userInfo.status == -2){
						if (_this.data && _this.Base64decode(_this.data).indexOf('mchid') < 0 ) {// 扫码进入的新用户  && 后面条件不同平台分摊支付金额 针对心悦
							window.location.href = 'fillin.html'
						} else { // 从公众号链接地址进入的的新用户
							_this.newuser = true
							_this.hasRead = false
						}
					} else if(userInfo.status == 3){ // 老用户
                        if (userInfo.invitation == 1){
                            _this.getLocation()
                        }else{
                            window.location.href = 'home.html?token='+ getCookie('token')
                        }
						// if (userInfo.region2) {
						// 	window.location.href = 'home.html?token='+ getCookie('token')
						// }else {
                        //         _this.getLocation()
                        //
						// }
					}
				},false,function(res){
					if (res.err != 0 && res.err != 2) {
						setTimeout(function(res){
								window.location.href = 'index.html'
							},2000)
					}
				})
				// ,false,function(){
				// 	setTimeout(function(res){
				// 		window.location.href = 'index.html?data='+_this.data
				// 	},2000)
				// }
			} else {
				// alert(this.data)
				window.location.href = baseUrl + '/api/buy/token4?data=' + this.data+'&time='+ time + '&isIOS=' + (is_IOS()? 1 : 0)
			}
		},
		Base64decode(e) {
			var Base64 = {
				_keyStr: "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",
				encode: function(e) {
					var t = "";
					var n, r, i, s, o, u, a;
					var f = 0;
					e = Base64._utf8_encode(e);
					while (f < e.length) {
						n = e.charCodeAt(f++);
						r = e.charCodeAt(f++);
						i = e.charCodeAt(f++);
						s = n >> 2;
						o = (n & 3) << 4 | r >> 4;
						u = (r & 15) << 2 | i >> 6;
						a = i & 63;
						if (isNaN(r)) {
							u = a = 64
						} else if (isNaN(i)) {
							a = 64
						}
						t = t + this._keyStr.charAt(s) + this._keyStr.charAt(o) + this._keyStr.charAt(u) + this._keyStr.charAt(a)
					}
					return t
				},
				decode: function(e) {
					var t = "";
					var n, r, i;
					var s, o, u, a;
					var f = 0;
					e = e.replace(/[^A-Za-z0-9+/=]/g, "");
					while (f < e.length) {
						s = this._keyStr.indexOf(e.charAt(f++));
						o = this._keyStr.indexOf(e.charAt(f++));
						u = this._keyStr.indexOf(e.charAt(f++));
						a = this._keyStr.indexOf(e.charAt(f++));
						n = s << 2 | o >> 4;
						r = (o & 15) << 4 | u >> 2;
						i = (u & 3) << 6 | a;
						t = t + String.fromCharCode(n);
						if (u != 64) {
							t = t + String.fromCharCode(r)
						}
						if (a != 64) {
							t = t + String.fromCharCode(i)
						}
					}
					t = Base64._utf8_decode(t);
					return t
				},
				_utf8_encode: function(e) {
					e = e.replace(/rn/g, "n");
					var t = "";
					for (var n = 0; n < e.length; n++) {
						var r = e.charCodeAt(n);
						if (r < 128) {
							t += String.fromCharCode(r)
						} else if (r > 127 && r < 2048) {
							t += String.fromCharCode(r >> 6 | 192);
							t += String.fromCharCode(r & 63 | 128)
						} else {
							t += String.fromCharCode(r >> 12 | 224);
							t += String.fromCharCode(r >> 6 & 63 | 128);
							t += String.fromCharCode(r & 63 | 128)
						}
					}
					return t
				},
				_utf8_decode: function(e) {
					var t = "";
					var n = 0;
					var r = c1 = c2 = 0;
					while (n < e.length) {
						r = e.charCodeAt(n);
						if (r < 128) {
							t += String.fromCharCode(r);
							n++
						} else if (r > 191 && r < 224) {
							c2 = e.charCodeAt(n + 1);
							t += String.fromCharCode((r & 31) << 6 | c2 & 63);
							n += 2
						} else {
							c2 = e.charCodeAt(n + 1);
							c3 = e.charCodeAt(n + 2);
							t += String.fromCharCode((r & 15) << 12 | (c2 & 63) << 6 | c3 & 63);
							n += 3
						}
					}
					return t
				}
			}
			return Base64.decode(e)
		},
		// 介紹
		introduce() {
			window.location.href = 'iframe.html?title=介绍'
		},

		// 分銷商協議
		showAgreement() {
			this.hasRead = false
		},

		// 了解注册详情
		knowDetail() {
		},
		// 阅读完确定
		sureAgree() {
			this.agreed = true;
			this.hasRead = true;
		},
		// 阅读完 取消
		cancleAgree() {
			this.agreed = false;
			this.hasRead = true;
		},

		getCombo() {
			var _this = this
			getAjax('/api/buy/getpayconfig','post',{},function(res){
				_this.awardActive = res.data
			})
		},

		pay(propType) {
			var _this = this
			if(this.agreed) {
				if (!this.clickSwich) {
					return;
				}
				this.$toast({
						message: "即将支付请稍等"
				});
				this.clickSwich = false;
				let params = {};
				if (propType == "diamonds") {
						params = {
								channel: "wechatWeb",
								money: this.awardActive.diamonds.needMoney,
								prop_count: this.awardActive.diamonds.comboPropCount,
								number: this.goodsNum,
								prop_type: propType === 'diamonds' ? 'diamonds' : 'roomcard'
						};
				} else {
						params = {
								prop_type: propType === 'diamonds' ? 'diamonds' : 'roomcard',
								channel: "wechatWeb",
								money: this.awardActive.roomcard.needMoney,
								prop_count: this.awardActive.roomcard.comboPropCount,
								number: this.goodsNum
						};
				}
				if(is_IOS()){
					window.location.href = 'pay.html?token='+ getCookie('token') + '&prop_type='+ propType +'&money=' + params.money + '&prop_count=' + params.prop_count + '&number=' + params.number + '&type=' + 1
				} else {
					getAjax('/api/buy/pay','post',params,function(res){
						let ext = res.data;
						let options = {
							appId: ext.appId,
							timeStamp: ext.timeStamp,
							nonceStr: ext.nonceStr,
							package: ext.package,
							signType: ext.signType,
							paySign: ext.paySign
						};
						WeixinJSBridge.invoke(
								"getBrandWCPayRequest",
								options,
								res => {
										if ("string" != typeof res.err_msg) {
												_this.clickSwich = true;
												return _this.$toast({
														message: "支付异常"
												});
										}
										switch (res.err_msg) {
												case "get_brand_wcpay_request:ok":
													_this.$toast({
																message: `${
																		propType == "diamonds"
																				? "钻石"
																				: "房卡"
																}开通成功`
														});
														_this.clickSwich = true;
														window.location.href = 'fillin.html'

														break;
												case "get_brand_wcpay_request:cancel":
														break;
												case "get_brand_wcpay_request:fail":
														_this.clickSwich = true;
														return _this.$toast({
																message: `支付失败${
																		window.location.href
																}`
														});
														break;
												default:
														return Toast({
																message: "支付返回结果异常"
														});
										}
										_this.clickSwich = true;
								}
						);
					})
					
				}
			} else {
				this.$toast({
					message: "您需先阅读协议并同意"
				});
			}
		},

		backLogin() {
			this.newuser = false;
			this.hasRead = true;
			delCookie('token');
		},

		getLocation(){
			var _this = this
			if(is_wexin()) {
				var domain = window.location.host
				var url = window.location.href //.split('://')[0] + '://'+domain
				var data = {
					url : url
				}

				getAjax('/api/buy/signpackage','post',data,function(res){
					var cig = {
						appId: res.data.app_id,
						beta: false,
						debug: false,
						jsApiList: ["checkJsApi", "openLocation", "getLocation"],
						nonceStr: res.data.nonceStr,
						signature: res.data.sign,
						timestamp: res.data.timestamp,
						url: url
					}
					wx.config(cig);
					wx.ready(function () {
						wx.getLocation({
							type: 'wgs84',
							success: function (res) {
								_this.showLocation(res.longitude,res.latitude);
							},
							complete: function(res){
								console.log(res)
							},
							cancel: function (res) {
								_this.cancleLocation();
							},
							fail: function(err){
								console.log(res)
							}
						});
					});
				})
			} else {
				_this.showLocation(0,0);
			}
			//var domain = window.location.host
			
		},

		showLocation(lon, lat){
			var _this = this
			var param = {
				longitude: lon, // 经度
				latitude: lat // 维度
			}
			getAjax('/api/getregion','post',param, function(res){
				// res.data.region;
				getAjax('/api/buy/addregion2','post',{region2: res.data.region}, function(res1){
					window.location.href = 'home.html?token='+ getCookie('token')
				},false,function(res1){
					window.location.href = 'home.html?token='+ getCookie('token')
					// _this.$toast({
					// 	message: res1.msg
					// });
				})
			},false,function(){
				_this.cancleLocation()
			})
		},

		cancleLocation(){

			this.$messagebox.alert('地址获取失败，无法注册！请查看定位功能是否开启！').then(action => {
				/* this.api.delCookie('token');
				this.$router.push('/login'); */
			});
		},
	}
})